Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.syntax.objdump
Class ObjDumpProgramReader

    java.lang.Object
      avrora.Main.ProgramReader
          avrora.syntax.objdump.ObjDumpProgramReader

public class ObjDumpProgramReader
extends Main.ProgramReader

The `AtmelProgramReader` is an implementation of the `ProgramReader` that reads source assembly files in the Atmel style syntax. It can handle only one file at a time.

Constructor Summary
`ObjDumpProgramReader()`

Method Summary
`java.lang.String` | `getHelp()`
`Program` | `read(java.lang.String[] args)` The `read()` method takes the command line arguments passed to main and interprets it as a list of filenames to load.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjDumpProgramReader

    public ObjDumpProgramReader()

Method Detail

### read

    public Program read(java.lang.String[] args)
                 throws java.lang.Exception

  The `read()` method takes the command line arguments passed to main and interprets it as a list of filenames to load. It expects only one filename to be present. It will load, parse, and simplify the program and return it.

  Specified by:
    `read` in class `Main.ProgramReader`
  Parameters:
    `args` - the string arguments representing the names of the files to read
  Returns:
    a program obtained by parsing and building the file
  Throws:
    `ParseException` - if the file does not parse correctly
    `java.io.IOException` - if there is a problem reading from the files
    `java.lang.Exception`

### getHelp

    public java.lang.String getHelp()

  Specified by:
    `getHelp` in class `Main.ProgramReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD